text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Text.Read

Description

Monomorphic `TextShow` function for `Lexeme` (and `Number`, if using a recent-enough version of `base`).

Since: 2

Synopsis

- showbLexemePrec :: Int -> Lexeme -> Builder
- showbNumberPrec :: Int -> Number -> Builder

# Documentation

showbLexemePrec :: Int -> Lexeme -> Builder Source

Convert a `Lexeme` to a `Builder` with the given precedence.

Since: 2

showbNumberPrec :: Int -> Number -> Builder Source

Convert a `Number` to a `Builder` with the given precedence. This function is only available with `base-4.7.0.0` or later.

Since: 2